> ## Documentation Index
> Fetch the complete documentation index at: https://docs.splox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP Connections

> Lists MCP resources owned by the authenticated user. Use scope=end_user (default) for end-user bindings, or scope=owner_user for owner-user configured MCP servers.

Lists MCP resources owned by the authenticated user.

Use `scope=end_user` (default) for per-end-user credential bindings, or `scope=owner_user` for owner-owned MCP servers.

## Usage

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://app.splox.io/api/v1/mcp-connections?scope=owner_user" \
    -H "Authorization: Bearer YOUR_TOKEN"
  ```

  ```python Python theme={null}
  from splox import SploxClient

  client = SploxClient(api_key="YOUR_API_KEY")
  resp = client.mcp.list_connections(scope="owner_user")
  for conn in resp.connections:
    print(conn.id, conn.name, conn.url)
  ```

  ```typescript Node.js theme={null}
  import Splox from "splox";

  const client = new Splox("YOUR_API_KEY");
  const resp = await client.mcp.listConnections({ scope: "owner_user" });
  for (const conn of resp.connections) {
    console.log(conn.id, conn.name, conn.url);
  }
  ```

  ```go Go theme={null}
  resp, err := client.MCP.ListConnections(ctx, &splox.ConnectionParams{Scope: "owner_user"})
  if err != nil {
      panic(err)
  }
  for _, conn := range resp.Connections {
    fmt.Println(conn.ID, conn.Name, conn.URL)
  }
  ```
</CodeGroup>


## OpenAPI

````yaml GET /mcp-connections
openapi: 3.1.0
info:
  title: Splox API
  description: >-
    Run workflows, manage chats, receive events, and monitor execution via the
    Splox API
  version: 1.0.0
  contact:
    name: Splox Support
    email: support@splox.io
    url: https://community.splox.io
servers:
  - url: https://app.splox.io/api/v1
    description: Production API
security: []
tags:
  - name: MCP
    description: Discover MCP servers, manage connections, and execute MCP tools
  - name: Workflows
    description: List, get, and inspect workflows, versions, and nodes
  - name: Workflow Requests
    description: Run workflows, monitor execution, and retrieve results
  - name: Events
    description: Receive external events via Event Hub webhooks
  - name: Chats
    description: Manage chat sessions for workflow interactions
paths:
  /mcp-connections:
    get:
      tags:
        - MCP
      summary: List MCP Connections
      description: >-
        Lists MCP resources owned by the authenticated user. Use scope=end_user
        (default) for end-user bindings, or scope=owner_user for owner-user
        configured MCP servers.
      operationId: listMCPConnections
      parameters:
        - name: scope
          in: query
          description: 'Listing scope: end_user (default) or owner_user'
          schema:
            type: string
            enum:
              - end_user
              - owner_user
        - name: mcp_server_id
          in: query
          description: Filter by user MCP server ID (scope=end_user only)
          schema:
            type: string
            format: uuid
        - name: end_user_id
          in: query
          description: Filter by end-user identifier (scope=end_user only)
          schema:
            type: string
      responses:
        '200':
          description: Connections retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  connections:
                    type: array
                    items:
                      $ref: '#/components/schemas/MCPConnection'
                  total:
                    type: integer
        '400':
          description: Bad request — invalid query parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    MCPConnection:
      type: object
      properties:
        id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        name:
          type: string
        url:
          type: string
        image_url:
          type: string
          nullable: true
        transport_type:
          type: string
        auth_type:
          type: string
        auth_config:
          type: object
          additionalProperties: true
          nullable: true
        end_user_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
      required:
        - id
        - user_id
        - name
        - url
        - transport_type
        - auth_type
        - created_at
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token generated from your Splox account settings. Create tokens at
        https://app.splox.io/account?tab=settings

````